diff --git a/src/main/java/net/minecraft/core/block/BlockRedstone.java b/src/main/java/net/minecraft/core/block/BlockRedstone.java
index 00325b3f1..4736796e4 100644
--- a/src/main/java/net/minecraft/core/block/BlockRedstone.java
+++ b/src/main/java/net/minecraft/core/block/BlockRedstone.java
@@ -1,8 +1,6 @@
 package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
-import net.minecraft.core.util.helper.Color;
-import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.World;
@@ -61,14 +59,7 @@ public class BlockRedstone extends Block
 		Random random = world.rand;
 
         final int redstoneBrightness = 10;
-		Color color = Colors.allRedstoneColors[redstoneBrightness];
-		if(color == null) {
-			return;
-		}
-		float red = color.getRed() / 255.0f;
-		float green = color.getGreen() / 255.0f;
-		float blue = color.getBlue() / 255.0f;
-		
+
 		final double d = 0.0625;
         for (Side s : Side.sides){
             double px = (double) x + random.nextFloat();
@@ -107,7 +98,7 @@ public class BlockRedstone extends Block
                     break;
             }
             if (px < x || px > (x + 1) || py < 0.0D || py > (y + 1) || pz < z || pz > (z + 1)) {
-                world.spawnParticle("reddust", px, py, pz, red, green, blue, redstoneBrightness);
+                world.spawnParticle("reddust", px, py, pz, 0, 0, 0, redstoneBrightness);
             }
         }
 	}
diff --git a/src/main/java/net/minecraft/core/block/BlockRepeater.java b/src/main/java/net/minecraft/core/block/BlockRepeater.java
index e2c8cebda..ce3e7cb36 100644
--- a/src/main/java/net/minecraft/core/block/BlockRepeater.java
+++ b/src/main/java/net/minecraft/core/block/BlockRepeater.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.block;
 
-import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
@@ -9,7 +8,6 @@ import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
-import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
@@ -218,13 +216,6 @@ public class BlockRepeater extends Block
 		double zOffset = 0.0;
 
         final int redstoneBrightness = 15;
-		Color color = Colors.allRedstoneColors[redstoneBrightness];
-		if(color == null) {
-			return;
-		}
-		float red = color.getRed() / 255.0f;
-		float green = color.getGreen() / 255.0f;
-		float blue = color.getBlue() / 255.0f;
 		
 		if (rand.nextInt(2) == 0) {
 			switch (meta & MASK_DIRECTION) {
@@ -258,7 +249,7 @@ public class BlockRepeater extends Block
 				break;
 			}
 		}
-		world.spawnParticle("reddust", px + xOffset, py, pz + zOffset, red, green, blue, redstoneBrightness);
+		world.spawnParticle("reddust", px + xOffset, py, pz + zOffset, 0, 0, 0, redstoneBrightness);
 	}
 
 }
diff --git a/src/main/java/net/minecraft/core/block/BlockTorchRedstone.java b/src/main/java/net/minecraft/core/block/BlockTorchRedstone.java
index 78cd8c9ac..f151e3d1e 100644
--- a/src/main/java/net/minecraft/core/block/BlockTorchRedstone.java
+++ b/src/main/java/net/minecraft/core/block/BlockTorchRedstone.java
@@ -1,10 +1,8 @@
 package net.minecraft.core.block;
 
-import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
@@ -143,29 +141,22 @@ public class BlockTorchRedstone extends BlockTorch {
         double horizontalOffset = 0.27D;
 
         final int redstoneBrightness = 10;
-        Color color = Colors.allRedstoneColors[redstoneBrightness];
-        if (color == null) {
-            return;
-        }
-        float red = color.getRed() / 255.0f;
-        float green = color.getGreen() / 255.0f;
-        float blue = color.getBlue() / 255.0f;
 
         switch (direction) {
             case SIDE_WEST:
-                world.spawnParticle("reddust", px - horizontalOffset, py + verticalOffset, pz, red, green, blue, redstoneBrightness);
+                world.spawnParticle("reddust", px - horizontalOffset, py + verticalOffset, pz, 0, 0, 0, redstoneBrightness);
                 break;
             case SIDE_EAST:
-                world.spawnParticle("reddust", px + horizontalOffset, py + verticalOffset, pz, red, green, blue, redstoneBrightness);
+                world.spawnParticle("reddust", px + horizontalOffset, py + verticalOffset, pz, 0, 0, 0, redstoneBrightness);
                 break;
             case SIDE_NORTH:
-                world.spawnParticle("reddust", px, py + verticalOffset, pz - horizontalOffset, red, green, blue, redstoneBrightness);
+                world.spawnParticle("reddust", px, py + verticalOffset, pz - horizontalOffset, 0, 0, 0, redstoneBrightness);
                 break;
             case SIDE_SOUTH:
-                world.spawnParticle("reddust", px, py + verticalOffset, pz + horizontalOffset, red, green, blue, redstoneBrightness);
+                world.spawnParticle("reddust", px, py + verticalOffset, pz + horizontalOffset, 0, 0, 0, redstoneBrightness);
                 break;
             case SIDE_BOTTOM:
-                world.spawnParticle("reddust", px, py, pz, red, green, blue, redstoneBrightness);
+                world.spawnParticle("reddust", px, py, pz, 0, 0, 0, redstoneBrightness);
                 break;
         }
     }
diff --git a/src/main/java/net/minecraft/core/block/BlockWireRedstone.java b/src/main/java/net/minecraft/core/block/BlockWireRedstone.java
index 330017d43..b219e694c 100644
--- a/src/main/java/net/minecraft/core/block/BlockWireRedstone.java
+++ b/src/main/java/net/minecraft/core/block/BlockWireRedstone.java
@@ -1,13 +1,11 @@
 package net.minecraft.core.block;
 
-import net.minecraft.client.util.helper.Colors;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.util.helper.Axis;
-import net.minecraft.core.util.helper.Color;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
@@ -341,15 +339,8 @@ public class BlockWireRedstone extends Block {
         double pz = (double) z + 0.5D + (rand.nextFloat() - 0.5D) * 0.2D;
 
         final int redstoneBrightness = meta & 0xF;
-        Color color = Colors.allRedstoneColors[redstoneBrightness];
-        if (color == null) {
-            return;
-        }
-        float red = color.getRed() / 255.0f;
-        float green = color.getGreen() / 255.0f;
-        float blue = color.getBlue() / 255.0f;
 
-        world.spawnParticle("reddust", px, py, pz, red, green, blue, redstoneBrightness);
+        world.spawnParticle("reddust", px, py, pz, 0, 0, 0, redstoneBrightness);
     }
 
     public static boolean shouldConnectTo(WorldSource worldSource, int x, int y, int z, int data) {
diff --git a/src/main/java/net/minecraft/core/block/tag/BlockTags.java b/src/main/java/net/minecraft/core/block/tag/BlockTags.java
index 6d9b30d1c..1ff5af05f 100644
--- a/src/main/java/net/minecraft/core/block/tag/BlockTags.java
+++ b/src/main/java/net/minecraft/core/block/tag/BlockTags.java
@@ -15,7 +15,7 @@ import net.minecraft.core.block.BlockTallGrass;
 import net.minecraft.core.data.tag.Tag;
 import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.entity.monster.MobZombiePig;
-import net.minecraft.core.entity.vehicle.BoatEntity;
+import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.item.tool.ItemToolPickaxe;
 import net.minecraft.core.item.tool.ItemToolShears;
 import net.minecraft.core.item.tool.ItemToolAxe;
@@ -149,7 +149,7 @@ public abstract class BlockTags
      */
     public static Tag<Block> INFINITE_BURN = Tag.of("infinite_burn");
     /**
-     * Block is broken on contact with an {@link BoatEntity BoatEntity}
+     * Block is broken on contact with an {@link EntityBoat EntityBoat}
      */
     public static Tag<Block> BOAT_BREAKS = Tag.of("boat_breaks");
     /**
diff --git a/src/main/java/net/minecraft/core/entity/Entity.java b/src/main/java/net/minecraft/core/entity/Entity.java
index 383456ce8..920554ffc 100644
--- a/src/main/java/net/minecraft/core/entity/Entity.java
+++ b/src/main/java/net/minecraft/core/entity/Entity.java
@@ -14,7 +14,6 @@ import com.mojang.nbt.FloatTag;
 import com.mojang.nbt.ListTag;
 
 import net.minecraft.client.gui.guidebook.mobs.MobInfoRegistry;
-import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.material.Material;
@@ -843,7 +842,8 @@ public abstract class Entity
     public int getLightmapCoord(float partialTick) {
     	if(world == null) {
     		// Happens when the guidebook is rendered
-    		return LightmapHelper.getLightmapCoord(15, 15);
+//    		return LightmapHelper.getLightmapCoord(15, 15);
+            return 0xFFFFFFFF; // TODO make this work properly when world is null
     	}
     	
     	int blockX = MathHelper.floor(x);
@@ -854,7 +854,7 @@ public abstract class Entity
     	int skylight = world.getSavedLightValue(LightLayer.Sky, blockX, blockY, blockZ);
     	int blocklight = world.getSavedLightValue(LightLayer.Block, blockX, blockY, blockZ);
     	
-    	return LightmapHelper.getLightmapCoord(skylight, blocklight);
+    	return world.getLightmapCoord(skylight, blocklight);
     }
 
     public void setWorld(World world)
diff --git a/src/main/java/net/minecraft/core/entity/EntityDispatcher.java b/src/main/java/net/minecraft/core/entity/EntityDispatcher.java
index eca67a8d4..e04c60072 100644
--- a/src/main/java/net/minecraft/core/entity/EntityDispatcher.java
+++ b/src/main/java/net/minecraft/core/entity/EntityDispatcher.java
@@ -4,7 +4,7 @@ import com.mojang.logging.LogUtils;
 import net.minecraft.core.entity.animal.*;
 import net.minecraft.core.entity.monster.*;
 import net.minecraft.core.entity.projectile.*;
-import net.minecraft.core.entity.vehicle.BoatEntity;
+import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.entity.vehicle.MinecartEntity;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.world.World;
@@ -146,7 +146,7 @@ public class EntityDispatcher
         addMapping(EntityPrimedTNT.class, "PrimedTnt", 20);
         addMapping(EntityFallingBlock.class, "FallingSand", 21);
         addMapping(MinecartEntity.class, "Minecart", 40);
-        addMapping(BoatEntity.class, "Boat", 41);
+        addMapping(EntityBoat.class, "Boat", 41);
         addMapping(MobZombieArmored.class, "ArmouredZombie", 42);
         addMapping(ProjectileArrowGolden.class, "ArrowGolden", 43);
         addMapping(ProjectileCannonball.class, "Cannonball", 44);
diff --git a/src/main/java/net/minecraft/core/entity/player/Player.java b/src/main/java/net/minecraft/core/entity/player/Player.java
index 666ef8a20..2d5308caa 100644
--- a/src/main/java/net/minecraft/core/entity/player/Player.java
+++ b/src/main/java/net/minecraft/core/entity/player/Player.java
@@ -41,7 +41,7 @@ import net.minecraft.core.entity.monster.MobZombie;
 import net.minecraft.core.entity.projectile.ProjectileCannonball;
 import net.minecraft.core.entity.projectile.ProjectileFireball;
 import net.minecraft.core.entity.projectile.ProjectileArrowGolden;
-import net.minecraft.core.entity.vehicle.BoatEntity;
+import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.entity.vehicle.MinecartEntity;
 import net.minecraft.core.enums.ArtType;
 import net.minecraft.core.enums.EnumDropCause;
@@ -1447,7 +1447,7 @@ public abstract class Player extends Mob
                         addStat(Achievements.ON_A_RAIL, 1);
                     }
                 } else
-                if(vehicle instanceof BoatEntity)
+                if(vehicle instanceof EntityBoat)
                 {
                     addStat(StatList.distanceByBoatStat, i);
                 } else
diff --git a/src/main/java/net/minecraft/core/entity/vehicle/BoatEntity.java b/src/main/java/net/minecraft/core/entity/vehicle/EntityBoat.java
similarity index 97%
rename from src/main/java/net/minecraft/core/entity/vehicle/BoatEntity.java
rename to src/main/java/net/minecraft/core/entity/vehicle/EntityBoat.java
index b374d8362..041ef1fde 100644
--- a/src/main/java/net/minecraft/core/entity/vehicle/BoatEntity.java
+++ b/src/main/java/net/minecraft/core/entity/vehicle/EntityBoat.java
@@ -24,12 +24,7 @@ import net.minecraft.server.entity.player.PlayerServer;
 
 import java.util.List;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, World, Block, Item, 
-//            AxisAlignedBB, Material, MathHelper, Player,
-//            NBTTagCompound
-
-public class BoatEntity extends Entity
+public class EntityBoat extends Entity
 {
     private static final double MAX_BOAT_SPEED = 0.8D;
     private static final double ACCELERATION = 0.0065D;
@@ -56,7 +51,7 @@ public class BoatEntity extends Entity
     public TileEntityFlag tileEntityFlag = null;
 
 
-    public BoatEntity(World world)
+    public EntityBoat(World world)
     {
         super(world);
         boatCurrentDamage = 0;
@@ -102,7 +97,7 @@ public class BoatEntity extends Entity
         return true;
     }
 
-    public BoatEntity(World world, double d, double d1, double d2)
+    public EntityBoat(World world, double d, double d1, double d2)
     {
         this(world);
         setPos(d, d1 + (double) heightOffset, d2);
@@ -346,7 +341,7 @@ public class BoatEntity extends Entity
         if(list != null && !list.isEmpty())
         {
             for (Entity entity : list) {
-                if (entity != passenger && entity.isPushable() && (entity instanceof BoatEntity)) {
+                if (entity != passenger && entity.isPushable() && (entity instanceof EntityBoat)) {
                     entity.push(this);
                 }
             }
diff --git a/src/main/java/net/minecraft/core/item/ItemBoat.java b/src/main/java/net/minecraft/core/item/ItemBoat.java
index 3e07eeeb2..82334b741 100644
--- a/src/main/java/net/minecraft/core/item/ItemBoat.java
+++ b/src/main/java/net/minecraft/core/item/ItemBoat.java
@@ -4,10 +4,10 @@ package net.minecraft.core.item;
 // Referenced classes of package net.minecraft.src:
 //            Item, Player, Vec3D, MathHelper,
 //            World, MovingObjectPosition, EnumMovingObjectType, Block, 
-//            BoatEntity, ItemStack
+//            EntityBoat, ItemStack
 
 import net.minecraft.core.block.entity.TileEntityActivator;
-import net.minecraft.core.entity.vehicle.BoatEntity;
+import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.util.helper.Direction;
@@ -61,7 +61,7 @@ public class ItemBoat extends Item
                 {
                     j--;
                 }
-                BoatEntity boat = new BoatEntity(world, i + 0.5F, j + 1.0F, k + 0.5F);
+                EntityBoat boat = new EntityBoat(world, i + 0.5F, j + 1.0F, k + 0.5F);
                 boat.setRot(entityplayer.yRot - 90, 0);
                 world.entityJoinedWorld(boat);
             }
@@ -76,7 +76,7 @@ public class ItemBoat extends Item
         double y = blockY + offY + direction.getOffsetY();
         double z = blockZ + offZ + direction.getOffsetZ();
         itemStack.consumeItem(null);
-        BoatEntity boat = new BoatEntity(world, x, y, z);
+        EntityBoat boat = new EntityBoat(world, x, y, z);
         world.entityJoinedWorld(boat);
     }
 }
diff --git a/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java b/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
index 886c102e7..3b31b0af8 100644
--- a/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
@@ -2,7 +2,7 @@ package net.minecraft.core.item.block;
 // Referenced classes of package net.minecraft.src:
 //            Item, Player, Vec3D, MathHelper,
 //            World, MovingObjectPosition, EnumMovingObjectType, Block, 
-//            BoatEntity, ItemStack
+//            EntityBoat, ItemStack
 
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
diff --git a/src/main/java/net/minecraft/client/lang/text/ChainText.java b/src/main/java/net/minecraft/core/lang/text/ChainText.java
similarity index 96%
rename from src/main/java/net/minecraft/client/lang/text/ChainText.java
rename to src/main/java/net/minecraft/core/lang/text/ChainText.java
index b52367f8c..ea357434f 100644
--- a/src/main/java/net/minecraft/client/lang/text/ChainText.java
+++ b/src/main/java/net/minecraft/core/lang/text/ChainText.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.lang.text;
+package net.minecraft.core.lang.text;
 
 import net.minecraft.core.net.command.TextFormatting;
 
diff --git a/src/main/java/net/minecraft/client/lang/text/FormattedText.java b/src/main/java/net/minecraft/core/lang/text/FormattedText.java
similarity index 92%
rename from src/main/java/net/minecraft/client/lang/text/FormattedText.java
rename to src/main/java/net/minecraft/core/lang/text/FormattedText.java
index 5544794a0..50e3dbc2c 100644
--- a/src/main/java/net/minecraft/client/lang/text/FormattedText.java
+++ b/src/main/java/net/minecraft/core/lang/text/FormattedText.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.lang.text;
+package net.minecraft.core.lang.text;
 
 import net.minecraft.core.net.command.TextFormatting;
 
diff --git a/src/main/java/net/minecraft/client/lang/text/FunctionText.java b/src/main/java/net/minecraft/core/lang/text/FunctionText.java
similarity index 89%
rename from src/main/java/net/minecraft/client/lang/text/FunctionText.java
rename to src/main/java/net/minecraft/core/lang/text/FunctionText.java
index 3d1da2a2b..3454a98ff 100644
--- a/src/main/java/net/minecraft/client/lang/text/FunctionText.java
+++ b/src/main/java/net/minecraft/core/lang/text/FunctionText.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.lang.text;
+package net.minecraft.core.lang.text;
 
 public class FunctionText
     extends Text {
diff --git a/src/main/java/net/minecraft/client/lang/text/LiteralText.java b/src/main/java/net/minecraft/core/lang/text/LiteralText.java
similarity index 85%
rename from src/main/java/net/minecraft/client/lang/text/LiteralText.java
rename to src/main/java/net/minecraft/core/lang/text/LiteralText.java
index df534916e..bba248fa7 100644
--- a/src/main/java/net/minecraft/client/lang/text/LiteralText.java
+++ b/src/main/java/net/minecraft/core/lang/text/LiteralText.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.lang.text;
+package net.minecraft.core.lang.text;
 
 public class LiteralText
     extends Text {
diff --git a/src/main/java/net/minecraft/client/lang/text/Text.java b/src/main/java/net/minecraft/core/lang/text/Text.java
similarity index 80%
rename from src/main/java/net/minecraft/client/lang/text/Text.java
rename to src/main/java/net/minecraft/core/lang/text/Text.java
index 4d1f98374..d5dfcc64e 100644
--- a/src/main/java/net/minecraft/client/lang/text/Text.java
+++ b/src/main/java/net/minecraft/core/lang/text/Text.java
@@ -1,6 +1,5 @@
-package net.minecraft.client.lang.text;
+package net.minecraft.core.lang.text;
 
-import net.minecraft.client.render.Font;
 import net.minecraft.core.net.command.TextFormatting;
 
 public abstract class Text {
@@ -17,9 +16,9 @@ public abstract class Text {
 
     abstract void toString(StringBuilder sb);
 
-    public int width(Font font) {
-        return font.getStringWidth(this.toString());
-    }
+//    public int width(Font font) { // Commented out due to being unused and referencing the client package
+//        return font.getStringWidth(this.toString());
+//    }
 
     public Text trans(String languageKey) {
         return new ChainText(this, new TranslatableText(languageKey));
diff --git a/src/main/java/net/minecraft/client/lang/text/TranslatableText.java b/src/main/java/net/minecraft/core/lang/text/TranslatableText.java
similarity index 89%
rename from src/main/java/net/minecraft/client/lang/text/TranslatableText.java
rename to src/main/java/net/minecraft/core/lang/text/TranslatableText.java
index 7398825ca..a9ad41fd6 100644
--- a/src/main/java/net/minecraft/client/lang/text/TranslatableText.java
+++ b/src/main/java/net/minecraft/core/lang/text/TranslatableText.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.lang.text;
+package net.minecraft.core.lang.text;
 
 import net.minecraft.core.lang.I18n;
 
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeParticleId.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeParticleId.java
index cfe3900e6..2b21364c5 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeParticleId.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeParticleId.java
@@ -6,16 +6,49 @@ import com.mojang.brigadier.context.CommandContext;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.suggestion.Suggestions;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
-import net.minecraft.client.entity.particle.ParticleDispatcher;
 import net.minecraft.core.lang.I18n;
 
 import java.util.Arrays;
 import java.util.Collection;
+import java.util.HashSet;
 import java.util.List;
 import java.util.Locale;
+import java.util.Set;
 import java.util.concurrent.CompletableFuture;
 
 public class ArgumentTypeParticleId implements ArgumentType<String> {
+    public static final Set<String> particleIds = new HashSet<>();
+
+    static {
+        particleIds.add("note");
+        particleIds.add("dripLava");
+        particleIds.add("puffrgb");
+        particleIds.add("blueflame");
+        particleIds.add("lava");
+        particleIds.add("arrowtrail");
+        particleIds.add("reddust");
+        particleIds.add("soulflame");
+        particleIds.add("bubble");
+        particleIds.add("explode");
+        particleIds.add("slimechunk");
+        particleIds.add("block");
+        particleIds.add("portal");
+        particleIds.add("snowshovel");
+        particleIds.add("item");
+        particleIds.add("dripWater");
+        particleIds.add("largesmoke");
+        particleIds.add("smoke");
+        particleIds.add("fireflyBlue");
+        particleIds.add("heart");
+        particleIds.add("fireflyOrange");
+        particleIds.add("footstep");
+        particleIds.add("fallingleaf");
+        particleIds.add("flame");
+        particleIds.add("fireflyGreen");
+        particleIds.add("fireflyRed");
+        particleIds.add("splash");
+    }
+
     private static final List<String> EXAMPLES = Arrays.asList("fireflyGreen", "explode", "soulflame");
 
     public static ArgumentType<String> particleId() {
@@ -26,7 +59,7 @@ public class ArgumentTypeParticleId implements ArgumentType<String> {
     public String parse(StringReader reader) throws CommandSyntaxException {
         final String string = reader.readString();
 
-        for (String particleId : ParticleDispatcher.getInstance().getParticleIds()) {
+        for (String particleId : particleIds) {
             if (particleId.equalsIgnoreCase(string)) {
                 return string;
             }
@@ -36,7 +69,7 @@ public class ArgumentTypeParticleId implements ArgumentType<String> {
 
     @Override
     public <S> CompletableFuture<Suggestions> listSuggestions(CommandContext<S> context, SuggestionsBuilder builder) {
-        for (String particleId : ParticleDispatcher.getInstance().getParticleIds()) {
+        for (String particleId : particleIds) {
             if (particleId.toLowerCase(Locale.ROOT).startsWith(builder.getRemainingLowerCase())) {
                 builder.suggest(particleId);
             }
diff --git a/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundId.java b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundId.java
index 925aeb8b2..2592714e9 100644
--- a/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundId.java
+++ b/src/main/java/net/minecraft/core/net/command/arguments/ArgumentTypeSoundId.java
@@ -6,13 +6,9 @@ import com.mojang.brigadier.context.CommandContext;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.brigadier.suggestion.Suggestions;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
-import net.minecraft.client.sound.SoundEvent;
-import net.minecraft.client.sound.SoundRepository;
 import net.minecraft.core.Global;
 import net.minecraft.core.lang.I18n;
-import net.minecraft.core.sound.SoundTypes;
 
-import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.List;
@@ -48,15 +44,7 @@ public class ArgumentTypeSoundId implements ArgumentType<String> {
     }
 
     public Collection<String> soundIds() {
-        if (Global.isServer) {
-            return SoundTypes.getSoundIds().keySet();
-        } else {
-            List<String> ids = new ArrayList<>();
-            for (SoundEvent e : SoundRepository.SOUNDS.getAllEvents()) {
-                ids.add(e.getEventID());
-            }
-            return ids;
-        }
+        return Global.accessor.getAvailableSoundKeys();
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java b/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
index 0b7af5318..3f03c2565 100644
--- a/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
+++ b/src/main/java/net/minecraft/core/net/command/helpers/EntitySelectorOptions.java
@@ -7,8 +7,8 @@ import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
 import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.Tag;
-import net.minecraft.client.lang.text.ChainText;
-import net.minecraft.client.lang.text.Text;
+import net.minecraft.core.lang.text.ChainText;
+import net.minecraft.core.lang.text.Text;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.EntityItem;
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
index 7ca1d23a1..a26eb2cab 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
+++ b/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.vehicle.BoatEntity;
+import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
 import net.minecraft.core.net.packet.AddEntityPacket;
@@ -10,10 +10,10 @@ import net.minecraft.server.entity.EntityTracker;
 import net.minecraft.server.entity.EntityTrackerEntry;
 import org.jetbrains.annotations.NotNull;
 
-public class NetEntryBoat implements IVehicleEntry<BoatEntity>, ITrackedEntry<BoatEntity> {
+public class NetEntryBoat implements IVehicleEntry<EntityBoat>, ITrackedEntry<EntityBoat> {
     @Override
-    public @NotNull Class<BoatEntity> getAppliedClass() {
-        return BoatEntity.class;
+    public @NotNull Class<EntityBoat> getAppliedClass() {
+        return EntityBoat.class;
     }
 
     @Override
@@ -32,17 +32,17 @@ public class NetEntryBoat implements IVehicleEntry<BoatEntity>, ITrackedEntry<Bo
     }
 
     @Override
-    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, BoatEntity trackedObject) {
+    public void onEntityTracked(EntityTracker tracker, EntityTrackerEntry trackerEntry, EntityBoat trackedObject) {
 
     }
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new BoatEntity(world, x, y, z);
+        return new EntityBoat(world, x, y, z);
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, BoatEntity trackedObject) {
+    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, EntityBoat trackedObject) {
         return new AddEntityPacket(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java b/src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java
index 08c7ac107..cbe51ed24 100644
--- a/src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java
+++ b/src/main/java/net/minecraft/core/net/packet/PingHandshakePacket.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.net.packet;
 
-import net.minecraft.client.net.handler.PingPacketHandler;
 import net.minecraft.core.net.handler.PacketHandler;
 
 import java.io.DataInputStream;
@@ -10,6 +9,8 @@ import java.nio.charset.StandardCharsets;
 
 public class PingHandshakePacket
     extends Packet {
+    public static long startTime = 0;
+
     public int payload;
     public int identifier;
     public String pingHostString;
@@ -49,7 +50,7 @@ public class PingHandshakePacket
         dos.writeByte(protocolVersion);
         writeUTF16BEString(hostname, dos);
         dos.writeInt(port);
-        PingPacketHandler.startTime = System.currentTimeMillis();
+        startTime = System.currentTimeMillis();
     }
 
     @Override
